Commit 19f6ba28 authored by Richard Mansfield's avatar Richard Mansfield
Browse files

Add message about javascript and upgrades (bug 3102)

parent 2a2e4f58
......@@ -112,6 +112,7 @@ $js = <<< EOJS
true);
}
addLoadEvent( function () { removeElement('jsrequiredforupgrade'); } );
addLoadEvent( processNext );
EOJS;
......
......@@ -56,6 +56,7 @@ $string['upgradefailure'] = 'Failed to upgrade!';
$string['noupgrades'] = 'Nothing to upgrade! You are fully up to date!';
$string['youcanupgrade'] = 'You can upgrade Mahara from %s (%s) to %s (%s)!';
$string['Plugin'] = 'Plugin';
$string['jsrequiredforupgrade'] = 'You must enable javascript to perform an install or upgrade.';
// Admin navigation menu
$string['adminhome'] = 'Admin home';
......
......@@ -3,6 +3,7 @@
{include file="columnfullstart.tpl"}
<h2 class="center">{str tag=performinginstallsandupgrades section=admin}</h2>
<div class="center error" id="jsrequiredforupgrade">{str tag=jsrequiredforupgrade section=admin}</div>
<table cellspacing="0" cellpadding="1" id="installer">
<thead>
<tr>
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment